package com.uas.report.axis.repository;

import org.apache.axis.AxisFault;
import org.apache.axis.attachments.AttachmentPart;
import org.springframework.context.NoSuchMessageException;

import com.uas.report.axis.WSException;

public interface RepositoryManagementService {

	public String list(String requestXmlString);

	public String get(String requestXmlString);

	public String put(String requestXmlString);

	public String delete(String requestXmlString);

	public String runReport(String requestXmlString);

	public String move(String requestXmlString);

	public String copy(String requestXmlString);

	public AttachmentPart[] getMessageAttachments() throws NoSuchMessageException, WSException, AxisFault;
}
